<template>
  <div class="container">
    <header class="header">
      <strong>
        <g-link class="text-2xl" to="/">{{ $static.metadata.siteName }}</g-link>
      </strong>
      <nav class="hidden md:flex nav">
        <g-link class="nav__link" to="/">Accueil</g-link>
        <g-link class="nav__link" to="/about/">A propos</g-link>
        <g-link class="nav__link" to="/projects/">Projets</g-link>
        <g-link class="nav__link" to="/contact/">Contact</g-link>
      </nav>
      <div :class="{ 'is-opened': active }" @click="active = !active" class="menu-icon md:hidden cursor-pointer">
        <span></span>
        <svg height="54px" viewbox="0 0 54 54" width="54px" x="0" y="0">
          <path d="M16.500,27.000 C16.500,27.000 24.939,27.000 38.500,27.000 C52.061,27.000 49.945,15.648 46.510,11.367 C41.928,5.656 34.891,2.000 27.000,2.000 C13.193,2.000 2.000,13.193 2.000,27.000 C2.000,40.807 13.193,52.000 27.000,52.000 C40.807,52.000 52.000,40.807 52.000,27.000 C52.000,13.000 40.837,2.000 27.000,2.000"></path>
        </svg>
      </div>
      <nav :class="{ 'is-opened': active }" class="menu-overlay flex flex-col justify-center">
        <g-link class="nav__link" to="/">Accueil</g-link>
        <g-link class="nav__link" to="/about/">A propos</g-link>
        <g-link class="nav__link" to="/projects/">Projets</g-link>
        <g-link class="nav__link" to="/contact/">Contact</g-link>
      </nav>
    </header>
    <transition name="fade" appear>
      <main>
        <slot/>
      </main>
    </transition>
  </div>
</template>


<script>
export default {
  props: {
    active: false
  }
}
</script>

<static-query>
query {
  metadata {
    siteName
  }
}
</static-query>

<style lang="scss">
.fade-enter-active {
  transition: opacity .5s;
}

.fade-enter {
  opacity: 0;
}

body {
  font-family: -apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif;
  font-size: 18px;
  margin:0;
  padding:0;
  line-height: 1.5;
}

h1 {
  font-size: 2.5rem;
  text-align: center;
}

h2 {
  font-size: 2rem;
}

h3 {
  font-size: 1.75rem;
}

h4 {
  font-size: 1.5rem;
}

.container {
  margin: 0 auto;
  padding-left: 20px;
  padding-right: 20px;
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
  height: 80px;
}

.nav__link {
  margin-left: 20px;
}
</style>
